###################################################
### chunk number 1: 
###################################################
library(HardyWeinberg)


###################################################
### chunk number 2: 
###################################################
x <- c(298,489,213)
HW.test <- HWChisq(x,verbose=TRUE)


###################################################
### chunk number 3: 
###################################################
HW.test <- HWChisq(x)
print(HW.test)


###################################################
### chunk number 4: 
###################################################
HW.test <- HWChisq(x,cc=0.5,verbose=TRUE)


###################################################
### chunk number 5: 
###################################################
HW.lrtest <- HWLratio(x,verbose=TRUE)


###################################################
### chunk number 6: 
###################################################
HW.exacttest <- HWExact(x,verbose=TRUE)


###################################################
### chunk number 7: 
###################################################
x <- c(10,10,20)
HW.exacttest <- HWExact(x,verbose=TRUE,singleterms=TRUE)


###################################################
### chunk number 8: 
###################################################
set.seed(123)

m <- 100 # number of markers
n <- 100 # sample size
out <- HWData(n,m)
Xc <- out$Xc
Xt <- out$Xt


###################################################
### chunk number 9: 
###################################################
plot.new()
opar <- par(mfrow=c(2,2),mar=c(3,5,3,1)+0.1,mex=0.75,oma=c(2,0,2,0),new=TRUE)
par(mfg=c(1,1))
Res <- HWTernaryPlot(Xc,100,region=0,hwcurve=FALSE,vbounds=FALSE,vertex.cex=1.25,main="(a)")
par(mfg=c(1,2))
Res <- HWTernaryPlot(Xc,100,region=1,vertex.cex=1.25,signifcolour=TRUE,main="(b)")
par(mfg=c(2,1))
Res <- HWTernaryPlot(Xc,100,region=2,vertex.cex=1.25,signifcolour=TRUE,main="(c)")
par(mfg=c(2,2))
#Res <- HWTernaryPlot(Xc,100,region=7,vertex.cex=1.25,signifcolour=TRUE,main="(d)")
par(opar)


###################################################
### chunk number 10: 
###################################################
X <- c(21,12,3,7,7,0,7,0,0,0,10,4,16,12,4,0,2,4,11,0,6,18,15,
16,1,1,13,18,0,1,15,13,9,19,5,3,6,2,0,3,10,9,10,6,0,0,
0,24,21,17,21,1,0,0,0,25,3,14,0,0,14,16,22,0,0,17,16,17,2,
2,16,16,2,16,0,2,26,0,0,2,0,14,22,0,24,25,25,12,14,6,1,8,
11,13,14,14,5,8,4,6,5,13,11,4,11,12,3,12,15,11,6,11,8,10,12,
11,6,12,9,7,7,6,7,15,7,3,12,8,15,16,9,13,16,15,17,6,3,3,
4,8,10,8,9,7,5,7,4,7,11,4,4,12,10,7,4,5,10,10,12,9,10,
11,11,12,10,12,13,3,3,4,12,3,13,7,7,3,4,4,14,13,12,17,0,2,
13,8,8,23,5,23,23,24,6,13,0,2,12,26,15,10,3,22,12,2,4,0,16,
14,3,1,19,21,3,2,4,1,12,12,15,11,13,12,3,3,4,5,21,26,26,0,
0,1,0,17,22,23,20,0,15,3,24,23,3,3,0,21,22,0,2,0,16,16,2,
2,14,2,17,14,0,26,25,13,24,2,0,22,1,0,0,3,2,11,11)
X <- matrix(X,byrow=FALSE,ncol=3)
colnames(X) <- c("AA","AB","BB")
samplesizes <- apply(X,1,sum)
print(summary(samplesizes))
Res <- HWTernaryPlot(X,region=1,vbounds=FALSE,ssf="median")


